CertPathBuilderSpi (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertPathBuilderSpi

    java.lang.Object
      |
      +--java.security.cert.CertPathBuilderSpi

public abstract class CertPathBuilderSpi
extends Object

The Service Provider Interface (SPI) for the `CertPathBuilder` class. All `CertPathBuilder` implementations must include a class (the SPI class) that extends this class (`CertPathBuilderSpi`) and implements all of its methods. In general, instances of this class should only be accessed through the `CertPathBuilder` class. For details, see the Java Cryptography Architecture.

Concurrent Access

Instances of this class need not be protected against concurrent access from multiple threads. Threads that need to access a single `CertPathBuilderSpi` instance concurrently should synchronize amongst themselves and provide the necessary locking before calling the wrapping `CertPathBuilder` object.

However, implementations of `CertPathBuilderSpi` may still encounter concurrency issues, since multiple threads each manipulating a different `CertPathBuilderSpi` instance need not synchronize.

Since:
  1.4

Constructor Summary
`CertPathBuilderSpi()` The default constructor.

Method Summary
`abstract CertPathBuilderResult` | `engineBuild(CertPathParameters params)` Attempts to build a certification path using the specified algorithm parameter set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertPathBuilderSpi

    public CertPathBuilderSpi()

  The default constructor.

Method Detail

### engineBuild

    public abstract CertPathBuilderResult engineBuild(CertPathParameters params)
                                               throws CertPathBuilderException,
                                                      InvalidAlgorithmParameterException

  Attempts to build a certification path using the specified algorithm parameter set.

  Parameters:
    `params` - the algorithm parameters
  Returns:
    the result of the build algorithm
  Throws:
    `CertPathBuilderException` - if the builder is unable to construct a certification path that satisfies the specified parameters
    `InvalidAlgorithmParameterException` - if the specified parameters are inappropriate for this `CertPathBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.